require("map.lua")
require("player.lua")

function love.load()
    map = Map.load()
    player = Player.load()
end


   function love.keypressed(key)
	if state.keypressed then state.keypressed(key) end
   end

    function love.keyreleased(key)
	if state.keyreleased then state.keyreleased(key) end
    end

    function love.update(dt)
	map:update(dt)
	player:update(dt)
    end

  function love.draw()	
	map:draw()
	player:draw()
   end