Player = {}
Player.__index = Player


function Player.load()
    --First we initialize all the state images that we need
    images = {
        up = love.graphics.newImage("tankup.png"),
		down = love.graphics.newImage("tankdown.png"),
        left = love.graphics.newImage("tankleft.png"),
		idle = love.graphics.newImage("tankidle.png"),
        right = love.graphics.newImage("tankright.png")
    }

    --And here's our player object, complete with a state variable and a variable that holds the current image.
    tank = {
        state = "idle",
        image = images["tankidle.png"],
        x = 500,
        y = 300,
        speed = 100,
		hp = 100
    }
end

function Player.update(dt)
    --Now what we do is we check for a button to be pressed, and if it is we set the player state and move the player.
    if love.keyboard.isDown("left") then
        tank.state = "left"
        tank.x = tank.x - tank.speed*dt
    elseif love.keyboard.isDown("right") then
        tank.state = "right"
        tank.x = tank.x + tank.speed*dt
    elseif love.keyboard.isDown("up") then
        tank.state = "up"
        tank.x = tank.x - tank.speed*dt
    elseif love.keyboard.isDown("down") then
        tank.state = "down"
        tank.x = tank.x + tank.speed*dt
	else
	if love.keyboard.isDown(" ") then
	tank.state ="idle"
    end
end
    --Now we update the player image with whatever image corresponds to the current state.
    tank.image = images[Player.state]
end

function Player.draw()
    --And finally we draw the player.
    love.graphics.draw(tank.image, tank.x, tank.y)
end